CHERRYMUSIC(1)

NAME
cherrymusic - a standalone HTML5 (with Flash fallback) music streaming server written in Python

SYNOPSIS
cherrymusic [OPTIONS]

DESCRIPTION
CherryMusic is a standalone music streaming server based on CherryPy and jPlayer. It is intended to be a personal alternative to Last.fm, Spotify, Grooveshark... you name it.

OPTIONS

-h, --help
    Shows a help message and exits.

--version
    Prints Information about the current version and exits.

--update [PATH [PATH ...]]
    Updates the media database. PATH must start with basedir or be relative to basedir.

--newconfig
    Creates a new config file in your home directory, e.g. "~/.config/cherrymusic/cherrymusic.conf.new".

--dropfiledb
    Clears the file database. This might be necessary after a version jump.

--setup
    If invoked with this switch, CherryMusic will walk you through the basic configuration setup in your browser on first startup. Use this if you just want to get things running without going through the configuration file yourself. CherryMusic will ask you about the most important options and configure everything for you. Note that if you want to enable more advanced features, you still need to edit the configuration file yourself. Please see cherrymusic.conf(5).

--adduser USER PASSWORD
    Creates a new USER with the given PASSWORD.

--deleteuser USER
    Deletes an existing USER.

--changepassword USER NEWPASSWORD
    Changes the password of an existing USER to NEWPASSWORD.

--port PORT
    Overrides the port specified in cherrymusic.conf(5).

--conf, -c KEY=VALUE [KEY=VALUE ...]
    Overrides options specified in cherrymusic.conf(5) with a given VALUE. KEY consists of the configurations section name and the option name of the section that is to be overridden, seperated by a dot. E.g., to override the SSL option (section "server", option "ssl_enabled") in the configuration file: "--conf server.ssl_enabled=True".

FILES
According to XDG Base Directory Specification, CherryMusic honors $XDG_DATA_HOME and $XDG_CONFIG_HOME. If these variables are empty or not set, files are stored using the standard path: ~/.config/cherrymusic/cherrymusic.conf

~/.local/share/cherrymusic

SEE ALSO
cherrymusic.conf(5), cherrymusicd(8)

BUGS
On client:

CherryMusic might not work when Flashblock is enabled. Workaround: add the server ip to your Flashblock whitelist. Currently, ogg files are not played in the Midori web browser. Since Midori falsely reports mp3 support, a workaround was added that relies on the Flash fallback to play mp3 files. Using Flash, there is no ogg support. This, however, is not a problem with CherryMusic, but with Midori and needs to be fixed upstream. On server:

Currently there is a bug in CherryPy -- the server framework CherryMusic was built upon -- that prevents serving files that have non-ASCII characters in their name. A bug report with a description of a workaround has already been filed upstream and I hope it will be resolved soon. You've found another bug in CherryMusic? That's awesome. Tell us about it! You can open an issue in the issue tracker of our github project page (github.com/devsnd/cherrymusic/issues) and we'll take care of it.

THANKS
To:

o   The CherryPy team for a great application server

o   HappyWorm for the HTML5 audio playback

o   Christian Maximilian Blasius for the logo

o   Bootstrap

o   6arms1leg for creating these man pages and maintaining the AUR packages for Arch Linux

o   Adrian Sampson for audioread

AUTHORS
CherryMusic was created by Tom Wallroth and is currently developed together with Tilman Börner.

COPYRIGHT
GNU GENERAL PUBLIC LICENSE - Version 3, 29 June 2007